QGIS Application - Bug report #16939

Join attributes by location gives error when mssql-layer is a view, not a table

2017-07-27 03:48 PM - Filip Mahieu

Status: Closed

Priority: Normal
Assignee: Victor Olaya
Category: Processing/Core

Affected QGIS version:2.18.9
Operating System: W7

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: not reproducable

Copied to github as #: 24838

Description

When | use a mssql (2016)-layer that is a view (not a table) in the underlying database, to use the vector-datamanagement-tool 'Join
attributes by location', and let it join the attributes on whatever layer (shapefile), it throws the error'__len__ () should return >= 0 See log

for more details'.

When | do the same thing, but with the same layer converted to a table in the same MSSQL-database as a shapefile, it does work.

| have examined this with pointlayers and line-layers, and both throw that error. No problem with tables or shapefiles. But always a problem

with whatever view it is..

History

#1 - 2018-06-07 05:32 AM - Nyall Dawson
- Status changed from Open to Feedback

Please test with 3.0 and confirm whether this is still an issue

#2 - 2018-08-15 07:34 PM - Giovanni Manghi
- Resolution set to not reproducable
- Status changed from Feedback to Closed

Closing for lack of feedback.
